.\" Copyright (C) 2022 Ryan Kavanagh <rak@debian.org>
.\" All rights reserved.
.\"
.\" Permission to use, copy, modify, and/or distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.Dd June 24 2022
.Dt GOPS 1
.Sh NAME
.Nm gops
.Nd list and diagnose running Go processes
.Sh SYNOPSIS
.Nm
.Ar cmd
.Ar pid|addr
.Nm
.Ar pid
.Nm
.Ar help
.Sh DESCRIPTION
The
.Nm
utility lists and diagnoses running Go processes.
It displays current process information when invoked as
.Nm
.Ar pid .
Help information may be accessed via
.Nm
.Cm help .
Finally,
.Nm
can act on individual processes by invoking it as
.Nm
.Cm cmd
.Ar pid|addr .
The following commands are available:
.Bl -tag -width Ds
.It Cm stack
Prints the stack trace.
.It Cm gc
Runs the garbage collector and blocks until successful.
.It Cm setgc      
Sets the garbage collection target percentage.
.It Cm memstats   
Prints the allocation and garbage collection stats.
.It Cm version    
Prints the Go version used to build the program.
.It Cm stats      
Prints runtime stats.
.It Cm trace      
Runs the runtime tracer for 5 secs and launches "go tool trace".
.It Cm pprof-heap
Reads the heap profile and launches "go tool pprof".
.It Cm pprof-cpu
Reads the CPU profile and launches "go tool pprof".
.El
.Sh AUTHORS
.Nm
is Copyright 2016 Google.
It is distributed under a BSD-3-clause license.
.Pp
This manpage was written by
.An Ryan Kavanagh
.Aq Mt rak@debian.org
for the Debian project and is distributed under the same license.
